Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPaul Webster2012-11-21 18:51:15 +0000
committerThanh Ha2012-12-07 15:46:24 +0000
commitf0f4e1cbd07419a3a3b499e09d6e0966db7e2f56 (patch)
tree80e49088b169b218376861e65c8efad385184a73 /scripts/gather-parts.sh
parentc6580d6d401878f92a648480e11d0a6afd0d07fe (diff)
downloadeclipse.platform.releng.aggregator-f0f4e1cbd07419a3a3b499e09d6e0966db7e2f56.tar.gz
eclipse.platform.releng.aggregator-f0f4e1cbd07419a3a3b499e09d6e0966db7e2f56.tar.xz
eclipse.platform.releng.aggregator-f0f4e1cbd07419a3a3b499e09d6e0966db7e2f56.zip
Bug 393927 - [CBI] Generate Deployable build directory
Prep work on the gather-parts.sh script
Diffstat (limited to 'scripts/gather-parts.sh')
-rw-r--r--scripts/gather-parts.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/scripts/gather-parts.sh b/scripts/gather-parts.sh
new file mode 100644
index 000000000..3b3060aec
--- /dev/null
+++ b/scripts/gather-parts.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+if [ ! -r "$1" ]; then
+ echo "$1" cannot be read
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+pushd $( dirname $0 ) >/dev/null
+SCRIPT_PATH=$(pwd)
+popd >/dev/null
+
+. $SCRIPT_PATH/build-functions.sh
+
+. "$1"
+
+
+cd $BUILD_ROOT
+
+# derived values
+gitCache=$( fn-git-cache "$BUILD_ROOT" "$BRANCH" )
+aggDir=$( fn-git-dir "$gitCache" "$AGGREGATOR_REPO" )
+repositories=$( echo $SCRIPT_PATH/repositories.txt )
+
+
+if [ -z "$BUILD_ID" ]; then
+ BUILD_ID=$(fn-build-id "$BUILD_TYPE" )
+fi
+
+buildDirectory=$( fn-build-dir "$BUILD_ROOT" "$BRANCH" "$BUILD_ID" )
+
+fn-gather-repo "$BUILD_ID" "$aggDir" "$buildDirectory"
+

Back to the top